Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.portlet.backing
Class PortletBackingContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.BackingContext
                  |
                  +--com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
                        |
                        +--com.bea.netuix.servlets.controls.portlet.backing.PortletBackingContext

All Implemented Interfaces:
  Serializable

public class PortletBackingContext
extends WindowBackingContext

The `PortletBackingContext` is used to effect the underlying portlet. This is the BackingContext for a portlet. This `PortletBackingContext` can only be referenced from a backing file. If you think you need to reference this from a JSP you should look at `PortletPresentationContext`.

To get a handle to the BackingContext just call the following:
PortletBackingContext.getPortletBackingContext(request);

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`String` | `getDisabledClassifications()` Returns disabled classifications for underlying portlet.
`String` | `getEnabledClassifications()` Returns enabled classifications for underlying portlet.
`String` | `getInstanceId()` Return the instance id of this portlet.
`String` | `getInstanceLabel()` Return the unique `instance label for the portlet.
`String` | `getLabel()` Return the unique label for the portlet.
`static PortletBackingContext` | `getPortletBackingContext(HttpServletRequest request)` A static helper to pull the current portlet's backing context out of the request.
`String` | `getPortletUri()` Getter for the portlet's URI.
`PortletPreferences` | `getPreferences(HttpServletRequest request)` Returns preferences for this portlet.
`boolean` | `isDefaultMinimized()` Returns `true` if the underlying portlet has `defaultMinimized` set to `true`.
`boolean` | `isDeleted()` Returns `true` if the portlet file is deleted.

Methods inherited from class com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
`getCapabilityVisible, getDefinitionId, getDefinitionLabel, getDescription, getOrientation, getParentWindowBackingContext, getPlacementId, getPreviousWindowMode, getPreviousWindowState, getRenderedChildrenWindowBackingContexts, getTitle, getWindowMode, getWindowState, isCapable, isPacked, setCapabilityVisible, setDescription, setTitle, setupModeChangeEvent, setupModeChangeEvent, setupPageChangeEvent, setupStateChangeEvent`

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`getChildrenBackingContexts, getContextFromRequest, getParentBackingContext, getTopParentBackingContext, isBackingPhase, isVisible, setBackingPhase, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLabel

    public String getLabel()

  Return the unique label for the portlet. For portlets this is the same as the `instanceLabel`.

  Specified by:
    `getLabel` in class `WindowBackingContext`
  Returns:
    the instance label.

### getInstanceLabel

    public String getInstanceLabel()

  Return the unique `instance label for the portlet. This is the property defined in the IDE to `instance Label`.

  ``
  Returns:
    the instance label.

### getPortletUri

    public String getPortletUri()

  Getter for the portlet's URI.
  `example: /portlets/myportlet/myportlet.portlet`

  Returns:
    A String containing the portlets uri.

### getInstanceId

    public String getInstanceId()

  Return the instance id of this portlet. Note the instance id is only populated when in streaming mode, not single file. This can be used with the persistence API.

  Overrides:
    `getInstanceId` in class `WindowBackingContext`
  Returns:
    A string representation of the portlet's instance id (this is always a number)

### getPortletBackingContext

    public static PortletBackingContext getPortletBackingContext(HttpServletRequest request)

  A static helper to pull the current portlet's backing context out of the request.

  Parameters:
    `request` -
  Returns:
    A reference to the currents windows backing context.

### getPreferences

    public PortletPreferences getPreferences(HttpServletRequest request)

  Returns preferences for this portlet.

  Parameters:
    `request` - HTTP request
  Returns:
    preferences

### isDefaultMinimized

    public boolean isDefaultMinimized()

  Returns `true` if the underlying portlet has `defaultMinimized` set to `true`.

  Returns:
    `true` if portlet is `defaultMinimized`

### getDisabledClassifications

    public String getDisabledClassifications()

  Returns disabled classifications for underlying portlet.

  Returns:
    disabled classifications

### getEnabledClassifications

    public String getEnabledClassifications()

  Returns enabled classifications for underlying portlet.

  Returns:
    ensabled classifications

### isDeleted

    public boolean isDeleted()

  Returns `true` if the portlet file is deleted. Portlets are marked deleted when they areremoved from the files system but still in use. The .portlet file must either be restored or the portlet should be removed via the admin tools.

  Returns:
    `true` if the portlet file is deleted

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved